Bug 113929 - mod_expires headers not set when used in conjunction with mod_proxy
mod_expires headers not set when used in conjunction with mod_proxy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-20 04:49 EST by Pierre Amadio
Modified: 2014-06-27 05:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-23 04:48:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Amadio 2004-01-20 04:49:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
When using mod_proxy, the http headers sent to the client does not
countains the headers that are supposed to be set with mod_expires.

This works with an apache 2.0.48 compiled from apache.org sources.



Version-Release number of selected component (if applicable):
httpd-2.0.46-26.ent

How reproducible:
Always

Steps to Reproduce:
1.install an local apache listening on port 8088
2.add the following configurations directive in the rpm based apache
listening on port 80:

####
     ExpiresActive On
     ExpiresDefault A600
     ProxyPass / http://127.0.0.1:8088/
     ProxyPassReverse / http://127.0.0.1:8088/
####

so that every uri requested are supposed to be proxyed from the apache
running on port 8088.

3. look at the header generated:
wget -S http://127.0.0.1/


    

Actual Results:  no Expires headers set.

Expected Results:  Expires header present in server answer:

10 Expires: Tue, 20 Jan 2004 10:59:30 GMT


Additional info:
Comment 3 Joe Orton 2004-01-20 06:25:26 EST
Update packages which contain the fix for this mod_expires issue are
available for testing purposes from:

http://people.redhat.com/jorton/.taroon/

Thanks for the report.
Comment 6 Gareth Evans 2004-01-28 06:38:32 EST
I have been testing this patch, in our test environment, for over a 
week now, with no detected problems, our test set up is a simple 
reverse proxy which adds expires headers to requested content.

Thanks for the patch,

Regards,

Gareth Evans
Comment 7 Joe Orton 2004-01-28 06:42:43 EST
Thank you Gareth.  We'll integrate this fix for future errata updates.
Comment 8 Mark J. Cox (Product Security) 2004-03-23 04:48:56 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-084.html

Note You need to log in before you can comment on or make changes to this bug.